Create a version

Deprecated
View as Markdown

Creates a new API version asynchronously and immediately returns an HTTP 202 Accepted response. The response contains a polling link to the task status API in the Location header.

This endpoint is equivalent to publishing a version in Postman app, which is the snapshot of API collections and schema at a given point in time.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

apiIdstringRequired
The API's ID.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Request

This endpoint expects an object.
Create Version Schema (Not Git-Linked)objectRequired
Information about the API version.
OR
Create Version Schema (Git-Linked)objectRequired
Information about the API version.
OR
Create Version Schema (Git-Linked with root File)objectRequired
Information about the API version.

Response headers

Locationstring
The URL to get or poll the status of an API version task created.

Response

Accepted
idstring
The version's ID.
createdAtdatetime
The date and time at which the version was created.
updatedAtdatetime
The date and time at which the version was last updated.
namestring
The version's name.
releaseNotesstring
Information about the API version release. For example, changelog notes.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error